petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscOptionsInsertFile

Inserts options into the database from a file.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsInsertFile(MPI_Comm comm,const char file[],PetscBool require)

Collective on MPI_Comm

### Input Parameter

| comm | - the processes that will share the options (usually PETSC_COMM_WORLD)
| file | - name of file
| require | - if PETSC_TRUE will generate an error if the file does not exist

Notes: Use # for lines that are comments and which should be ignored.

Usually, instead of using this command, one should list the file name in the call to PetscInitialize(), this insures that certain options such as -log_summary or -malloc_debug are processed properly. This routine only sets options into the options database that will be processed by later calls to XXXSetFromOptions() it should not be used for options listed under PetscInitialize().

### See Also

PetscOptionsSetValue(), PetscOptionsView(), PetscOptionsHasName(), PetscOptionsGetInt(),
PetscOptionsGetReal(), PetscOptionsGetString(), PetscOptionsGetIntArray(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

Level:developer
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages